Package io.github.jdbcx.dialect

# Class DuckDBMapper

java.lang.Object
io.github.jdbcx.dialect.DuckDBMapper

All Implemented Interfaces:
  `ResultMapper`

public class DuckDBMapper extends Object implements ResultMapper

## Constructor Summary

Constructors
Constructor
Description
`DuckDBMapper()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toColumnType(io.github.jdbcx.Field f)`
`String`
`toRemoteTable(String url, io.github.jdbcx.Format format, io.github.jdbcx.Compression compress, io.github.jdbcx.Result<?> result)`
`protected String`
`toStructDefinition(io.github.jdbcx.Field... fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.ResultMapper

`quoteIdentifier, toColumnDefinition`

## Constructor Details

### DuckDBMapper

public DuckDBMapper()

## Method Details

### toStructDefinition

protected String toStructDefinition(io.github.jdbcx.Field... fields)

### toColumnType

public String toColumnType(io.github.jdbcx.Field f)

Specified by:
  `toColumnType` in interface `ResultMapper`

### toRemoteTable

public String toRemoteTable(String url, io.github.jdbcx.Format format, io.github.jdbcx.Compression compress, io.github.jdbcx.Result<?> result)

Specified by:
  `toRemoteTable` in interface `ResultMapper`